be.ehealth.businessconnector.mycarenet.memberdataasync.util

## Enum ConfigName

- java.lang.Object
- - java.lang.Enum<ConfigName>
  - - be.ehealth.businessconnector.mycarenet.memberdataasync.util.ConfigName

- All Implemented Interfaces:
    Serializable, Comparable<ConfigName>

      public enum ConfigName
      extends Enum<ConfigName>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MDA_ENCRYPTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MDA_ENCRYPTED

          public static final ConfigName MDA_ENCRYPTED

  - ### Method Detail

    - #### values

          public static ConfigName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigName c : ConfigName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging generic 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.